package mx.com.amx.mx.dda.crn.dto;

import java.io.Serializable;

/**
 * Representa en el ambito de DDA la respuesta obtenida por SAP al ejecutar el cambio de costo(aumento/disminucion) de Activo Fijo (Titulos) 
 */
public class RespSAPCambioCostoAFijoDTO implements Serializable 
{
	private static final long serialVersionUID = 1L;
	private String codigoSAP;
	private String status;
	private String subNumero;
	
	public String getCodigoSAP() {
		return codigoSAP;
	}

	public void setCodigoSAP(String codigoSAP) {
		this.codigoSAP = codigoSAP;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getSubNumero() {
		return subNumero;
	}

	public void setSubNumero(String subNumero) {
		this.subNumero = subNumero;
	}

	public String toString() 
	{
		StringBuilder result = new StringBuilder();
		String NEW_LINE = System.getProperty("line.separator");
		result.append(" [Begin of Class] " + NEW_LINE);
		result.append(this.getClass().getSimpleName() + " Object {" + NEW_LINE);
		result.append(" codigoSAP: _" + this.getCodigoSAP() + "_" + NEW_LINE);
		result.append(" status: _" + this.getStatus() + "_" + NEW_LINE);
		result.append(" subNumero: _" + this.getSubNumero() + "_" + NEW_LINE);
		result.append(" [End of Class] " + NEW_LINE);
		result.append("}");
		NEW_LINE = null;

		return result.toString();
	}
}
